/* Copyright (C) 2024 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergei Zharko [committer] */

/// \file   HistogramContainer.cxx
/// \date   29.02.2024
/// \brief  A histogram container for the histogram server (header)
/// \author Sergei Zharko <s.zharko@gsi.de>

#include "HistogramContainer.h"

using cbm::algo::qa::HistogramContainer;

// ---------------------------------------------------------------------------------------------------------------------
//
void HistogramContainer::Reset()
{
  for (auto& h : fvH1) {
    h.Reset();
  }
  for (auto& h : fvH2) {
    h.Reset();
  }
  for (auto& h : fvP1) {
    h.Reset();
  }
  for (auto& h : fvP2) {
    h.Reset();
  }
}
